<div>
    <div class="d-flex justify-content-between">
        <h3>{{'client.my-applications' | translate}}
          <div class="spinner-border" role="status" *ngIf="loading">
            <span class="visually-hidden">{{ 'shared.loading' | translate }}</span>
          </div>
        </h3>
    </div>
    <div class="border rounded" *ngIf="userList?.items.length !== 0">
    <table class="table table-striped">
        <tr class="text-center">
        <th>№</th>
        <th>{{'client.organization' | translate}}<a (click)="sort('organizationName')"><i class="bi bi-sort-alpha-down"></i></a></th>
        <th>{{'client.status' | translate}}<a (click)="sort('currentStatus')"><i class="bi bi-sort-alpha-down"></i></a></th>
        <th>{{'client.createDate' | translate}}<a (click)="sort('dateOfApplication')"><i class="bi bi-sort-alpha-down"></i></a></th>
        </tr>
        <tbody>
            <tr *ngFor="let user of userList?.items; let i = index"  [routerLink]="[user?.id]">
                    <td>{{user?.number}}</td>
                    <td>{{user.organizationName}}</td>
                    <td>
                        <div class="status mx-auto">{{user.currentStatus?.name}}</div>
                    </td>
                    <td>{{user.dateOfApplication | date: 'dd MMMM yyyy, HH:mm'}}</td>
            </tr>
        </tbody>
    </table>
    <ngb-pagination class="d-flex" [collectionSize]="userList?.count" (pageChange)="setPage($event)"></ngb-pagination>
    </div>
    </div>
    <app-empty-list *ngIf="userList?.items.length === 0"></app-empty-list>
